Apache XML Commons Resolver Tools package.

This package implements several tool classes for catalog-based entity resolution:

`org.apache.xml.resolver.tools.CatalogResolver`
  This class provides a SAX EntityResolver and a JAXP URIResolver.
`org.apache.xml.resolver.tools.ResolvingXMLReader`
  This class provides a SAX2 XMLReader with catalog support. The parser uses a CatalogResolver to provide entity resolution.
`org.apache.xml.resolver.tools.ResolvingParser`
  This class provides a SAX1 Parser with catalog support. The parser uses a CatalogResolver to provide entity resolution.

Typically, these classes can be used in other applications. For example, running the Saxon XSLT processor with the arguments:

        -x org.apache.xml.resolver.tools.ResolvingXMLReader
        -y org.apache.xml.resolver.tools.ResolvingXMLReader
        -r org.apache.xml.resolver.tools.CatalogResolver

will provide catalog-based entity resolution for all of the entities and stylesheets that you use. (The CatalogResolver can only be used with Saxon 6.1 or later.)

## Requirements

In order to use these classes, you must have the JAXP 1.1 jar files in your `CLASSPATH`.